/*
 * @author lsy
 * @date   2019-09-09
 **/
import 'package:flutter/src/services/platform_channel.dart';

class ScanImagePlugn {
  static Future<Map<String, List<ScanImageItem>>> scanImages(
      MethodChannel channel) async {
    var images = await channel.invokeMapMethod("scan_image_picker");
    Map<String, List<ScanImageItem>> newMap = new Map();
    images.forEach((k, v) {
      List<ScanImageItem> tempList = new List();
      for (var item in v) {
        ScanImageItem scanImageItem = new ScanImageItem();
        scanImageItem.path = item["path"];
        scanImageItem.size = item["size"];
        tempList.add(scanImageItem);
      }
      newMap.putIfAbsent(k, () => tempList);
    });
    return newMap;
  }
}

class ScanImageItem {
  String path;

  //TODO
  int size;

  bool isSelected = false;


}
